Name:           xboard
Version:        4.9.1
Release:        %mkrel 1
Summary:        An X Window System graphical chessboard
License:        GPLv3+
Group:          Games/Boards
URL:            http://www.gnu.org/software/%{name}/
Source0:        http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
Source1:	xboard.sh.bz2
Source2:	xboard-pxboard.man.bz2
Source3:	XBoard.ad.bz2
Patch0:         %{name}-4.5.3-no_pieces.patch
BuildRequires:  texinfo
BuildRequires:  libxt-devel
BuildRequires:  libxaw-devel
Requires:       fairymax
Requires:       xterm
Requires:	gnuchess
Provides:       cmail = %{version}-%{release}

%description
XBoard is a graphical user interface for chess in all its major forms,
including international chess, xiangqi (Chinese chess), shogi (Japanese chess)
and Makruk, in addition to many minor variants such as Losers Chess,
Crazyhouse, Chess960 and Capabanca Chess. It displays a chessboard on the
screen, accepts moves made with the mouse, and loads and saves games in
Portable Game Notation (PGN). It serves as a front-end for many different chess
services, including:
- Chess engines that will run on your machine and play a game against you or
help you analyze, such as GNU Chess, Crafty, or many others.
- Chess servers on the Internet, where you can connect to play chess with
people from all over the world, watch other users play, or just hang out and
chat.
- Correspondence chess played by electronic mail. The CMail program automates
the tasks of parsing email from your opponent, playing his moves out on your
board, and mailing your reply move after you've chosen it.

XBoard runs on Unix and Unix-like systems that use the X Window System. 


%prep
%setup -q 

#%patch0 -p1 -b .no_pieces

#Clean the source from the partly suported size modes#
#rm -f pixmaps/*{21,25,29,33,37,40,45,54,58,64,80,87,95,108,116,129}*
#rm -f bitmaps/*{21,25,29,33,37,40,45,54,58,64,80,87,95,108,116,129}*
#sed -r -e 's/bitmaps\/[a-z]+(21|25|29|33|37|40|45|54|58|64|80|87|95|108|116|129)[a-z]+\.bm//g' Makefile.in > Makefile.in.temp
#mv Makefile.in.temp Makefile.in

%build
%configure2_5x --bindir=%{_gamesbindir}

%make


%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir}

mv %{buildroot}%{_gamesbindir}/%{name} %{buildroot}%{_gamesbindir}/%{name}.real

bzip2 -dc %{SOURCE1} > %{buildroot}%{_gamesbindir}/%{name}
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

# install pxboard manpage
bzip2 -dc %{SOURCE2} > %{buildroot}%{_mandir}/man6/pxboard.6

# install X resource
mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
bzip2 -dc %{SOURCE3} > %{buildroot}%{_sysconfdir}/X11/app-defaults/XBoard

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XBoard
Comment=GUI chessboard game
Exec=%{_gamesbindir}/xboard
Icon=strategy_section
Terminal=false
Type=Application
Categories=Game;BoardGame;X-MandrivaLinux-MoreApplications-Games-Boards
EOF

# remove useless files
rm -f %{buildroot}%{_infodir}/dir

#cmail
install -m 0755 -p cmail %{buildroot}%{_gamesbindir}


%post
%_install_info %{name}.info
ln -s %{_mandir}/man6/%{name}.6* %{_mandir}/man6/cmail.6.bz2

%postun
%_remove_install_info %{name}.info
rm -f %{_mandir}/man6/cmail.6*

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYRIGHT NEWS README SHORTLOG TODO zippy.README
%doc *.txt *.html
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-config.desktop
%{_datadir}/applications/%{name}-fen-viewer.desktop
%{_datadir}/applications/%{name}-pgn-viewer.desktop
%{_datadir}/applications/%{name}-tourney.desktop
%{_gamesbindir}/*
%{_mandir}/man?/*
%{_infodir}/*.info*
%{_gamesdatadir}/%{name}/pixmaps/textures/*.png
%{_gamesdatadir}/%{name}/themes/conf
%{_gamesdatadir}/%{name}/themes/default/*.svg
%{_gamesdatadir}/%{name}/themes/shogi/*.svg
%{_gamesdatadir}/%{name}/themes/textures/*.png
%{_gamesdatadir}/%{name}/themes/xiangqi/*.svg
%{_gamesdatadir}/%{name}/sounds/*.wav
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/mime/packages/xboard.xml
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XBoard

%changelog
* Fri Dec 29 2017 ghostbunny <ghostbunny at gmx dot de> 4.9.1-1pclos2018
- 4.9.1

* Sun Oct 09 2011 Texstar <texstar at gmail.com> 4.5.3-1pclos2011
- 4.5.3
